package co.pixelbeard.theanfieldwrap.buyTokens;

import co.pixelbeard.theanfieldwrap.utils.BasePresenter;
import co.pixelbeard.theanfieldwrap.utils.BaseView;

public interface BuyTokensContract {

    interface View extends BaseView<Presenter> {
        void consumeToken(String token);

        void showSingleButtonDialog(String error, String message);

    }

    interface Presenter extends BasePresenter {
        void creditAccount(int value, String title, String purchaseToken);
    }
}